Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ErrorID

    java.lang.Object
      org.jasig.portal.ErrorID

    public class ErrorID

extends java.lang.Object

Represents a portal error or problem.

Version:
  $Revision: 1.3 $
Author:
  Howard Gilbert

Field Summary
`(package private) byte` | `audience`
`byte` | `audienceAdmin`
`byte` | `audiencePgmr`
`byte` | `audienceUser`
`(package private) java.lang.String` | `category`
`(package private) byte` | `duration`
`byte` | `durationLater`
`byte` | `durationMustfix`
`byte` | `durationRestart`
`byte` | `durationRetry`
`byte` | `durationSession`
`(package private) java.lang.String` | `message`
`(package private) java.lang.String` | `specific`

Constructor Summary
`ErrorID(java.lang.String category, java.lang.String specific, java.lang.String msg)`

Method Summary
`byte` | `getAudience()`
`java.lang.String` | `getCategory()`
`byte` | `getDuration()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getSpecific()`
`void` | `setAudience(byte b)`
`void` | `setDuration(byte b)`
`ErrorID` | `withAudience(byte b)`
`ErrorID` | `withDuration(byte b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### category

    java.lang.String category

### specific

    java.lang.String specific

### message

    java.lang.String message

### audience

    byte audience

### audienceAdmin

    public final byte audienceAdmin

See Also:
  Constant Field Values

### audiencePgmr

    public final byte audiencePgmr

See Also:
  Constant Field Values

### audienceUser

    public final byte audienceUser

See Also:
  Constant Field Values

### duration

    byte duration

### durationRetry

    public final byte durationRetry

See Also:
  Constant Field Values

### durationSession

    public final byte durationSession

See Also:
  Constant Field Values

### durationLater

    public final byte durationLater

See Also:
  Constant Field Values

### durationRestart

    public final byte durationRestart

See Also:
  Constant Field Values

### durationMustfix

    public final byte durationMustfix

See Also:
  Constant Field Values

Constructor Detail

### ErrorID

    public ErrorID(java.lang.String category,
                   java.lang.String specific,
                   java.lang.String msg)

Parameters:
  `category` -
  `specific` - component/errorname as in "authenticate/badpassword"
  `msg` - default message text if not replaced from resources

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns:
    the message

### getCategory

    public java.lang.String getCategory()

  Returns:
    the category

### getSpecific

    public java.lang.String getSpecific()

  Returns:
    the specific

### getAudience

    public byte getAudience()

  Returns:
    the audience

### getDuration

    public byte getDuration()

  Returns:
    the duration

### setAudience

    public void setAudience(byte b)

  Parameters:
    `b` -

### setDuration

    public void setDuration(byte b)

  Parameters:
    `b` -

### withAudience

    public ErrorID withAudience(byte b)

### withDuration

    public ErrorID withDuration(byte b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD